/* Trasforma il paragrafo in un contenitore flex per allineare testo e righe */
.ht--hero-home-title .wpb_wrapper h1 {
  display: flex;
  align-items: center;
  justify-content: center;
}
@media (max-width: 1024px) {
  .ht--hero-home-title .wpb_wrapper h1 {
    max-width: 230px;
    margin-inline: auto;
    display: flex;
    align-items: center;
    justify-content: center;
    flex-direction: column;
  }
  .ht--hero-home-title h1 span {
    padding: 0;
  }
}

/* Crea la base per le due righe laterali */
.ht--hero-home-title .wpb_wrapper h1::before,
.ht--hero-home-title .wpb_wrapper h1::after {
  content: "";
  flex: 1; /* Permette alle righe di espandersi e riempire lo spazio disponibile */
  height: 2px;
}

/* Gestisce la distanza tra la riga di sinistra e il testo */
.ht--hero-home-title .wpb_wrapper h1::before {
  margin-right: 20px;
  background: linear-gradient(90deg, rgba(255, 255, 255, 0) 0%, #fff 100%);
}

@media (max-width: 1024px) {
  .ht--hero-home-title .wpb_wrapper h1 {
    position: relative;
  }
  .ht--hero-home-title .wpb_wrapper h1::before {
    margin-right: 20px;
    background: linear-gradient(90deg, rgba(255, 255, 255, 0) 0%, #fff 100%);
    position: absolute;
    left: -20vw;
    top: 0;
    bottom: 0;
    margin-block: auto;
    width: 18vw;
    height: 2px;
  }
}

/* Gestisce la distanza tra il testo e la riga di destra */
.ht--hero-home-title .wpb_wrapper h1::after {
  margin-left: 20px;
  background: linear-gradient(90deg, #fff 0%, rgba(255, 255, 255, 0) 100%);
}
@media (max-width: 1024px) {
  .ht--hero-home-title .wpb_wrapper h1 {
    position: relative;
  }
  .ht--hero-home-title .wpb_wrapper h1::after {
    margin-right: 20px;
    background: linear-gradient(90deg, #fff 0%, rgba(255, 255, 255, 0) 100%);
    position: absolute;
    right: -25vw;
    top: 0;
    bottom: 0;
    margin-block: auto;
    width: 18vw;
    height: 2px;
  }
}

/* Seleziona SOLO il w-btn-wrapper che contiene il tuo bottone specifico */
.w-btn-wrapper:has(.ht--external-line) {
  display: flex !important;
  align-items: center;
  justify-content: center;
  width: 100%;
  gap: 20px;
}

/* Applica le righe laterali SOLO a questo wrapper */
.w-btn-wrapper:has(.ht--external-line)::before,
.w-btn-wrapper:has(.ht--external-line)::after {
  content: "";
  flex: 1;
  height: 2px; /* Regola lo spessore */
  background: #000; /* Regola il colore */
}
.w-btn-wrapper:has(.ht--external-line)::before {
  background: linear-gradient(90deg, rgba(16, 24, 40, 0) 0%, #101828 100%);
}

.w-btn-wrapper:has(.ht--external-line)::after {
  background: linear-gradient(90deg, #101828 0%, rgba(16, 24, 40, 0) 100%);
}

.ht--categorie-home-wrapper {
  border-radius: 40px;
  border: 1px solid #f3f3f3;
  background: #fff;

  /* Shadow m */
  box-shadow: 0 4px 12px 0 rgba(0, 0, 0, 0.08);
  padding: 32px;

  transition: box-shadow 0.4s ease;

  /* overflow: hidden;  */
  /* -webkit-mask-image: -webkit-radial-gradient(white, black); */
}

.owl-item:hover .ht--categorie-home-wrapper{
  /* Shadow l — leggermente piu' marcata */
  box-shadow: 0 6px 18px 0 rgba(0, 0, 0, 0.14);
}

@supports (corner-shape: squircle) {
  .ht--categorie-home-wrapper {
    border-radius: 80px;
    corner-shape: squircle;
  }
}

.owl-stage-outer{padding-bottom: 16px !important;}
